diff --git a/game/core/src/main/java/net/minecraft/core/world/World.java b/game/core/src/main/java/net/minecraft/core/world/World.java
index b347c3cf2..13fda2270 100644
--- a/game/core/src/main/java/net/minecraft/core/world/World.java
+++ b/game/core/src/main/java/net/minecraft/core/world/World.java
@@ -1206,49 +1168,49 @@ public class World implements MutableWorldSource {
         entity.remove();
         if (entity instanceof Player) {
             this.players.remove((Player) entity);
-            updateEnoughPlayersSleepingFlag(null);
+            this.updateEnoughPlayersSleepingFlag(null);
         }
     }
 
-    public void removePlayer(Entity entity) {
+    public void removePlayer(final Entity entity) {
         entity.remove();
         if (entity instanceof Player) {
             this.players.remove((Player) entity);
-            updateEnoughPlayersSleepingFlag(null);
+            this.updateEnoughPlayersSleepingFlag(null);
         }
-        int i = entity.chunkCoordX;
-        int j = entity.chunkCoordZ;
-        if (entity.addedToChunk && isChunkLoaded(i, j)) {
-            getChunkFromChunkCoords(i, j).removeEntity(entity);
+        final int i = entity.chunkCoordX;
+        final int j = entity.chunkCoordZ;
+        if (entity.addedToChunk && this.isChunkLoaded(i, j)) {
+            this.getChunkFromChunkCoords(i, j).removeEntity(entity);
         }
         this.entities.remove(entity);
-        releaseEntitySkin(entity);
+        this.releaseEntitySkin(entity);
     }
 
-    public void addListener(@NotNull LevelListener levelListener) {
+    public void addListener(@NotNull final LevelListener levelListener) {
         this.listeners.add(levelListener);
     }
 
-    public void removeListener(@NotNull LevelListener levelListener) {
+    public void removeListener(@NotNull final LevelListener levelListener) {
         this.listeners.remove(levelListener);
     }
 
-    public @NotNull List<@NotNull AABBdc> getCubes(@NotNull Entity entity, @NotNull AABBdc aabb) {
-        TilePos d = new TilePos(entity);
+    public @NotNull List<@NotNull AABBdc> getCubes(@NotNull final Entity entity, @NotNull final AABBdc aabb) {
+        final TilePos d = new TilePos(entity);
         this.collidingBoundingBoxes.clear();
 
-        int minX = MathHelper.floor(aabb.minX());
-        int maxX = MathHelper.floor(aabb.maxX() + 1.0D);
-        int minY = MathHelper.floor(aabb.minY());
-        int maxY = MathHelper.floor(aabb.maxY() + 1.0D);
-        int minZ = MathHelper.floor(aabb.minZ());
-        int maxZ = MathHelper.floor(aabb.maxZ() + 1.0D);
-
-        ChunkPos p = new ChunkPos(0, 0);
-        int cMinX = minX >> 4;
-        int cMaxX = maxX >> 4;
-        int cMinZ = minZ >> 4;
-        int cMaxZ = maxZ >> 4;
+        final int minX = MathHelper.floor(aabb.minX());
+        final int maxX = MathHelper.floor(aabb.maxX() + 1.0D);
+        final int minY = MathHelper.floor(aabb.minY());
+        final int maxY = MathHelper.floor(aabb.maxY() + 1.0D);
+        final int minZ = MathHelper.floor(aabb.minZ());
+        final int maxZ = MathHelper.floor(aabb.maxZ() + 1.0D);
+
+        final ChunkPos p = new ChunkPos(0, 0);
+        final int cMinX = minX >> 4;
+        final int cMaxX = maxX >> 4;
+        final int cMinZ = minZ >> 4;
+        final int cMaxZ = maxZ >> 4;
         for (p.x = cMinX; p.x <= cMaxX; p.x++) {
             for (p.z = cMinZ; p.z <= cMaxZ; p.z++) {
                 if (!this.chunkProvider.isChunkLoaded(p)) {
@@ -1260,8 +1222,8 @@ public class World implements MutableWorldSource {
         for (d.x = minX - 1; d.x <= maxX; d.x++) {
             for (d.z = minZ - 1; d.z <= maxZ; d.z++) {
                 for (d.y = minY - 1; d.y <= maxY; d.y++) {
-                    Block<?> block = getBlockType(d);
-                    int metadata = getBlockData(d);
+                    final Block<?> block = this.getBlockType(d);
+                    final int metadata = this.getBlockData(d);
                     if (block.collidesWithEntity(entity, this, d) && entity.collidesWithBlock(block, metadata)) {
                         block.getCollisionAABBs(this, d, aabb, this.collidingBoundingBoxes);
                     }
@@ -1269,10 +1231,10 @@ public class World implements MutableWorldSource {
             }
         }
 
-        double radius = 0.25D;
-        List<Entity> entities = getEntitiesWithinAABBExcludingEntity(entity, MathHelper.aabbGrow(aabb, radius, radius, radius, new AABBd()));
-        for (Entity e : entities) {
-            AABBdc entityBB = e.getCollisionAABB();
+        final double radius = 0.25D;
+        final List<Entity> entities = this.getEntitiesWithinAABBExcludingEntity(entity, MathHelper.aabbGrow(aabb, radius, radius, radius, new AABBd()));
+        for (final Entity e : entities) {
+            final AABBdc entityBB = e.getCollisionAABB();
             if (entityBB != null && entityBB.intersectsAABB((AABBd) aabb)) {
                 this.collidingBoundingBoxes.add(entityBB);
             }
@@ -1281,22 +1243,22 @@ public class World implements MutableWorldSource {
         return this.collidingBoundingBoxes;
     }
 
-    public @NotNull List<@NotNull AABBdc> getCollidingSolidBlockBoundingBoxes(@Nullable Entity entity, @NotNull AABBdc aabb) {
+    public @NotNull List<@NotNull AABBdc> getCollidingSolidBlockBoundingBoxes(@Nullable final Entity entity, @NotNull final AABBdc aabb) {
         this.collidingBoundingBoxes.clear();
-        int minX = MathHelper.floor(aabb.minX());
-        int maxX = MathHelper.floor(aabb.maxX() + 1.0D);
-        int minY = MathHelper.floor(aabb.minY());
-        int maxY = MathHelper.floor(aabb.maxY() + 1.0D);
-        int minZ = MathHelper.floor(aabb.minZ());
-        int maxZ = MathHelper.floor(aabb.maxZ() + 1.0D);
-        TilePos tilePos = new TilePos(0, 0, 0);
+        final int minX = MathHelper.floor(aabb.minX());
+        final int maxX = MathHelper.floor(aabb.maxX() + 1.0D);
+        final int minY = MathHelper.floor(aabb.minY());
+        final int maxY = MathHelper.floor(aabb.maxY() + 1.0D);
+        final int minZ = MathHelper.floor(aabb.minZ());
+        final int maxZ = MathHelper.floor(aabb.maxZ() + 1.0D);
+        final TilePos tilePos = new TilePos(0, 0, 0);
         for (tilePos.x = minX - 1; tilePos.x <= maxX; tilePos.x++) {
             for (tilePos.z = minZ - 1; tilePos.z <= maxZ; tilePos.z++) {
-                if (!isBlockLoaded(tilePos.x, 64, tilePos.z)) {
+                if (!this.isBlockLoaded(tilePos.x, 64, tilePos.z)) {
                     continue;
                 }
                 for (tilePos.y = minY - 1; tilePos.y <= maxY; tilePos.y++) {
-                    Block<?> block = getBlockType(tilePos);
+                    final Block<?> block = this.getBlockType(tilePos);
                     if (block != null && block.isSolidRender()) {
                         // ignore mesh blocks if entity is instance of an item
                         if (!(entity instanceof EntityItem && (block.id() == Blocks.MESH.id() || block.id() == Blocks.SPIKES.id() || block.id() == Blocks.MOBSPAWNER.id())))
@@ -1308,10 +1270,10 @@ public class World implements MutableWorldSource {
 
         }
 
-        double d = 0.25D;
-        List<Entity> list = getEntitiesWithinAABBExcludingEntity(entity, MathHelper.aabbGrow(aabb, d, d, d, new AABBd()));
+        final double d = 0.25D;
+        final List<Entity> list = this.getEntitiesWithinAABBExcludingEntity(entity, MathHelper.aabbGrow(aabb, d, d, d, new AABBd()));
         for (int j2 = 0; j2 < list.size(); j2++) {
-            AABBdc collisionBB = list.get(j2).getCollisionAABB();
+            final AABBdc collisionBB = list.get(j2).getCollisionAABB();
             if (collisionBB != null && collisionBB.intersectsAABB((AABBd) aabb)) {
                 this.collidingBoundingBoxes.add(collisionBB);
             }
@@ -1320,20 +1282,20 @@ public class World implements MutableWorldSource {
         return this.collidingBoundingBoxes;
     }
 
-    public float getAmbientBrightness(float partialTicks) {
-        float angle = getCelestialAngle(partialTicks);
+    public float getAmbientBrightness(final float partialTicks) {
+        final float angle = this.getCelestialAngle(partialTicks);
         float bright = 1.0F - (MathHelper.cos(angle * MathHelper.PI * 2.0F) * 2.0F + 0.2F);
         bright = 1.0f - MathHelper.clamp(bright, 0.0f, 1.0f);
 
-        Weather weather = this.weatherManager.getCurrentWeather();
+        final Weather weather = this.weatherManager.getCurrentWeather();
         if (weather != null) {
             // TODO Unhardcode somehow
             if (weather == Weathers.OVERWORLD_RAIN) {
-                float power = this.weatherManager.getWeatherIntensity() * this.weatherManager.getWeatherPower();
+                final float power = this.weatherManager.getWeatherIntensity() * this.weatherManager.getWeatherPower();
                 bright = (float) (bright * (1.0 - (power * 5.0f) / 16.0));
             }
             if (weather == Weathers.OVERWORLD_STORM) {
-                float power = this.weatherManager.getWeatherIntensity() * this.weatherManager.getWeatherPower();
+                final float power = this.weatherManager.getWeatherIntensity() * this.weatherManager.getWeatherPower();
                 bright = (float) (bright * (1.0 - (power * 5.0f) / 16.0));
                 bright = (float) (bright * (1.0 - (power * 5.0f) / 16.0));
             }
@@ -1343,21 +1305,21 @@ public class World implements MutableWorldSource {
     }
 
     public float getCelestialAngle(float partialTick) {
-        if (!getGameRuleValue(GameRules.DO_DAY_CYCLE)) {
+        if (!this.getGameRuleValue(GameRules.DO_DAY_CYCLE)) {
             partialTick = 1.0f;
         }
-        return this.worldType.getCelestialAngle(this, this.levelData.getWorldTime(), partialTick);
+        return this.getWorldType().getCelestialAngle(this, this.levelData.getWorldTime(), partialTick);
     }
 
 
     public int findTopSolidBlock(int x, int z) {
-        Chunk chunk = getChunkFromBlockCoords(x, z);
-        int y = getHeightBlocks() - 1;
+        final Chunk chunk = this.getChunkFromBlockCoords(x, z);
+        int y = this.getHeightBlocks() - 1;
         x &= (Chunk.CHUNK_SIZE_X - 1);
         z &= (Chunk.CHUNK_SIZE_Z - 1);
         while (y > 0) {
-            int id = chunk.getBlockID(x, y, z);
-            Material material = id != 0 ? Blocks.blocksList[id].getMaterial() : Materials.AIR;
+            final int id = chunk.getBlockID(x, y, z);
+            final Material material = id != 0 ? Blocks.blocksList[id].getMaterial() : Materials.AIR;
             if (!material.blocksMotion() && !material.isLiquid()) {
                 y--;
             } else {
@@ -1368,13 +1330,13 @@ public class World implements MutableWorldSource {
     }
 
     public int findTopSolidNonLiquidBlock(int x, int z) {
-        Chunk chunk = getChunkFromBlockCoords(x, z);
-        int y = getHeightBlocks() - 1;
+        final Chunk chunk = this.getChunkFromBlockCoords(x, z);
+        int y = this.getHeightBlocks() - 1;
         x &= (Chunk.CHUNK_SIZE_X - 1);
         z &= (Chunk.CHUNK_SIZE_Z - 1);
         while (y > 0) {
-            Block<?> block = Blocks.getBlock(chunk.getBlockID(x, y, z));
-            Material material = block != null ? block.getMaterial() : Materials.AIR;
+            final Block<?> block = Blocks.getBlock(chunk.getBlockID(x, y, z));
+            final Material material = block != null ? block.getMaterial() : Materials.AIR;
             if (!material.blocksMotion()) {
                 y--;
             } else {
@@ -1384,8 +1346,8 @@ public class World implements MutableWorldSource {
         return -1;
     }
 
-    public float getStarBrightness(float partialTick) {
-        float f1 = getCelestialAngle(partialTick);
+    public float getStarBrightness(final float partialTick) {
+        final float f1 = this.getCelestialAngle(partialTick);
         float f2 = 1.0F - (MathHelper.cos(f1 * MathHelper.PI * 2.0F) * 2.0F + 0.75F);
         if (f2 < 0.0F) {
             f2 = 0.0F;
@@ -1402,11 +1364,11 @@ public class World implements MutableWorldSource {
     }
 
     public void scheduleBlockUpdate(final @NotNull TilePosc tilePos, final @NotNull Block<?> block, final long delay) {
-        NextTickListEntry entry = new NextTickListEntry(tilePos, block);
+        final NextTickListEntry entry = new NextTickListEntry(tilePos, block);
         final byte radius = 8;
 
         if (this.scheduledUpdatesAreImmediate && !this.immediatelyUpdatedPositions.contains(entry)) {
-            if (areBlocksLoaded(entry.tilePos.x - radius, entry.tilePos.y - radius, entry.tilePos.z - radius, entry.tilePos.x() + radius, entry.tilePos.y() + radius, entry.tilePos.z() + radius)) {
+            if (this.areBlocksLoaded(entry.tilePos.x - radius, entry.tilePos.y - radius, entry.tilePos.z - radius, entry.tilePos.x() + radius, entry.tilePos.y() + radius, entry.tilePos.z() + radius)) {
                 final @NotNull Block<?> worldBlock = this.getBlockType(entry.tilePos);
                 if (worldBlock == entry.block) {
                     this.immediatelyUpdatedPositions.add(entry);
@@ -1415,8 +1377,8 @@ public class World implements MutableWorldSource {
             }
             return;
         }
-        if (areBlocksLoaded(tilePos, radius)) {
-            entry.setDelay(delay + runtime);
+        if (this.areBlocksLoaded(tilePos, radius)) {
+            entry.setDelay(delay + this.runtime);
             if (!this.tickNextTickSet.contains(entry)) {
                 this.tickNextTickSet.add(entry);
                 this.tickNextTickList.add(entry);
@@ -1426,7 +1388,7 @@ public class World implements MutableWorldSource {
 
     public void updateEntities() {
         for (int i = 0; i < this.weatherEffects.size(); i++) {
-            Entity entity = this.weatherEffects.get(i);
+            final Entity entity = this.weatherEffects.get(i);
             entity.tick();
             if (entity.removed) {
                 this.weatherEffects.remove(i--);
@@ -1435,21 +1397,21 @@ public class World implements MutableWorldSource {
 
         this.entities.removeAll(this.entitiesToRemove);
         for (int j = 0; j < this.entitiesToRemove.size(); j++) {
-            Entity entity1 = this.entitiesToRemove.get(j);
-            int i1 = entity1.chunkCoordX;
-            int k1 = entity1.chunkCoordZ;
-            if (entity1.addedToChunk && isChunkLoaded(i1, k1)) {
-                getChunkFromChunkCoords(i1, k1).removeEntity(entity1);
+            final Entity entity1 = this.entitiesToRemove.get(j);
+            final int i1 = entity1.chunkCoordX;
+            final int k1 = entity1.chunkCoordZ;
+            if (entity1.addedToChunk && this.isChunkLoaded(i1, k1)) {
+                this.getChunkFromChunkCoords(i1, k1).removeEntity(entity1);
             }
         }
 
         for (int k = 0; k < this.entitiesToRemove.size(); k++) {
-            releaseEntitySkin(this.entitiesToRemove.get(k));
+            this.releaseEntitySkin(this.entitiesToRemove.get(k));
         }
 
         this.entitiesToRemove.clear();
         for (int l = 0; l < this.entities.size(); l++) {
-            Entity entity2 = this.entities.get(l);
+            final Entity entity2 = this.entities.get(l);
             if (entity2.vehicle != null) {
                 if (!entity2.vehicle.isRemoved() && entity2.vehicle.getPassenger() == entity2) {
                     continue;
@@ -1458,29 +1420,29 @@ public class World implements MutableWorldSource {
                 entity2.vehicle = null;
             }
             if (!entity2.removed) {
-                updateEntity(entity2);
+                this.updateEntity(entity2);
             }
             if (!entity2.removed) {
                 continue;
             }
-            int j1 = entity2.chunkCoordX;
-            int l1 = entity2.chunkCoordZ;
-            if (entity2.addedToChunk && isChunkLoaded(j1, l1)) {
-                getChunkFromChunkCoords(j1, l1).removeEntity(entity2);
+            final int j1 = entity2.chunkCoordX;
+            final int l1 = entity2.chunkCoordZ;
+            if (entity2.addedToChunk && this.isChunkLoaded(j1, l1)) {
+                this.getChunkFromChunkCoords(j1, l1).removeEntity(entity2);
             }
             this.entities.remove(l--);
-            releaseEntitySkin(entity2);
+            this.releaseEntitySkin(entity2);
         }
 
         this.updatingTileEntities = true;
         for (int i = this.tileEntityList.size() - 1; i >= 0; i--) {
-            TileEntity tileEntity = this.tileEntityList.get(i);
-            if (!tileEntity.isInvalid() && isBlockLoaded(tileEntity.x, tileEntity.y, tileEntity.z)) {
+            final TileEntity tileEntity = this.tileEntityList.get(i);
+            if (!tileEntity.isInvalid() && this.isBlockLoaded(tileEntity.x, tileEntity.y, tileEntity.z)) {
                 tileEntity.tick();
             }
             if (tileEntity.isInvalid()) {
                 this.tileEntityList.remove(i);
-                Chunk chunk = getChunkFromChunkCoords(Math.floorDiv(tileEntity.x, Chunk.CHUNK_SIZE_X), Math.floorDiv(tileEntity.z, Chunk.CHUNK_SIZE_Z));
+                final Chunk chunk = this.getChunkFromChunkCoords(Math.floorDiv(tileEntity.x, Chunk.CHUNK_SIZE_X), Math.floorDiv(tileEntity.z, Chunk.CHUNK_SIZE_Z));
                 if (chunk != null) {
                     chunk.removeTileEntity(tileEntity);
                 }
@@ -1489,21 +1451,21 @@ public class World implements MutableWorldSource {
         this.updatingTileEntities = false;
     }
 
-    public void addAllBlockEntities(Collection<TileEntity> blockEntities) {
+    public void addAllBlockEntities(final Collection<TileEntity> blockEntities) {
         this.tileEntityList.addAll(blockEntities);
     }
 
-    public void updateEntity(Entity entity) {
-        updateEntityWithOptionalForce(entity, true);
+    public void updateEntity(final Entity entity) {
+        this.updateEntityWithOptionalForce(entity, true);
     }
 
-    public void updateEntityWithOptionalForce(Entity entity, boolean flag) {
-        int i = MathHelper.floor(entity.x);
-        int j = MathHelper.floor(entity.z);
-        byte byte0 = 32;
-        if (flag && !areBlocksLoaded(i - byte0, 0, j - byte0, i + byte0, getHeightBlocks() - 1, j + byte0)) {
+    public void updateEntityWithOptionalForce(final Entity entity, final boolean flag) {
+        final int i = MathHelper.floor(entity.x);
+        final int j = MathHelper.floor(entity.z);
+        final byte byte0 = 32;
+        if (flag && !this.areBlocksLoaded(i - byte0, 0, j - byte0, i + byte0, this.getHeightBlocks() - 1, j + byte0)) {
             //try to despawn if entity wanders into nonexistant chunk
-            if (entity instanceof Mob mob) {
+            if (entity instanceof final Mob mob) {
                 mob.tryToDespawn();
             }
             return;
@@ -1535,16 +1497,16 @@ public class World implements MutableWorldSource {
         if (Double.isNaN(entity.yRot) || Double.isInfinite(entity.yRot)) {
             entity.yRot = entity.yRotO;
         }
-        int k = MathHelper.floor(entity.x / Chunk.CHUNK_SIZE_X);
-        int l = MathHelper.floor(entity.y / 16D);
-        int i1 = MathHelper.floor(entity.z / Chunk.CHUNK_SIZE_Z);
+        final int k = MathHelper.floor(entity.x / Chunk.CHUNK_SIZE_X);
+        final int l = MathHelper.floor(entity.y / 16D);
+        final int i1 = MathHelper.floor(entity.z / Chunk.CHUNK_SIZE_Z);
         if (!entity.addedToChunk || entity.chunkCoordX != k || entity.chunkCoordY != l || entity.chunkCoordZ != i1) {
-            if (entity.addedToChunk && isChunkLoaded(entity.chunkCoordX, entity.chunkCoordZ)) {
-                getChunkFromChunkCoords(entity.chunkCoordX, entity.chunkCoordZ).removeEntityAtIndex(entity, entity.chunkCoordY);
+            if (entity.addedToChunk && this.isChunkLoaded(entity.chunkCoordX, entity.chunkCoordZ)) {
+                this.getChunkFromChunkCoords(entity.chunkCoordX, entity.chunkCoordZ).removeEntityAtIndex(entity, entity.chunkCoordY);
             }
-            if (isChunkLoaded(k, i1)) {
+            if (this.isChunkLoaded(k, i1)) {
                 entity.addedToChunk = true;
-                getChunkFromChunkCoords(k, i1).addEntity(entity);
+                this.getChunkFromChunkCoords(k, i1).addEntity(entity);
             } else {
                 entity.addedToChunk = false;
             }
@@ -1554,15 +1516,15 @@ public class World implements MutableWorldSource {
                 entity.passenger.vehicle = null;
                 entity.passenger = null;
             } else {
-                updateEntity(entity.passenger);
+                this.updateEntity(entity.passenger);
             }
         }
     }
 
-    public boolean checkIfAABBIsClear(@NotNull AABBdc aabb) {
-        List<Entity> list = getEntitiesWithinAABBExcludingEntity(null, aabb);
+    public boolean checkIfAABBIsClear(@NotNull final AABBdc aabb) {
+        final List<Entity> list = this.getEntitiesWithinAABBExcludingEntity(null, aabb);
         for (int i = 0; i < list.size(); i++) {
-            Entity entity = list.get(i);
+            final Entity entity = list.get(i);
             if (entity instanceof MobFireflyCluster) continue;
             if (!entity.removed && entity.blocksBuilding) {
                 return false;
@@ -1572,18 +1534,18 @@ public class World implements MutableWorldSource {
         return true;
     }
 
-    public boolean getIsAnySolidGround(@NotNull AABBdc aabb) {
-        int minX = MathHelper.floor(aabb.minX());
-        int maxX = MathHelper.floor(aabb.maxX());
-        int minY = MathHelper.floor(aabb.minY());
-        int maxY = MathHelper.floor(aabb.maxY());
-        int minZ = MathHelper.floor(aabb.minZ());
-        int maxZ = MathHelper.floor(aabb.maxZ());
+    public boolean getIsAnySolidGround(@NotNull final AABBdc aabb) {
+        final int minX = MathHelper.floor(aabb.minX());
+        final int maxX = MathHelper.floor(aabb.maxX());
+        final int minY = MathHelper.floor(aabb.minY());
+        final int maxY = MathHelper.floor(aabb.maxY());
+        final int minZ = MathHelper.floor(aabb.minZ());
+        final int maxZ = MathHelper.floor(aabb.maxZ());
 
         for (int x = minX; x <= maxX; x++) {
             for (int y = minY; y <= maxY; y++) {
                 for (int z = minZ; z <= maxZ; z++) {
-                    Block<?> block = Blocks.blocksList[getBlockId(x, y, z)];
+                    final Block<?> block = Blocks.blocksList[this.getBlockId(x, y, z)];
                     if (block != null) {
                         return true;
                     }
@@ -1591,10 +1553,10 @@ public class World implements MutableWorldSource {
             }
         }
 
-        List<Entity> entities = getEntitiesWithinAABBExcludingEntity(null, aabb);
+        final List<Entity> entities = this.getEntitiesWithinAABBExcludingEntity(null, aabb);
 
-        for (Entity entity : entities) {
-            AABBdc collisionAABB = entity.getCollisionAABB();
+        for (final Entity entity : entities) {
+            final AABBdc collisionAABB = entity.getCollisionAABB();
             if (collisionAABB != null && collisionAABB.intersectsAABB((AABBd) aabb)) {
                 this.collidingBoundingBoxes.add(collisionAABB);
             }
@@ -1604,20 +1566,20 @@ public class World implements MutableWorldSource {
     }
 
 
-    public boolean getIsAnyLiquid(@NotNull AABBdc aabb) {
-        int minX = MathHelper.floor(aabb.minX());
-        int maxX = MathHelper.floor(aabb.maxX());
-        int minY = MathHelper.floor(aabb.minY());
-        int maxY = MathHelper.floor(aabb.maxY());
-        int minZ = MathHelper.floor(aabb.minZ());
-        int maxZ = MathHelper.floor(aabb.maxZ());
+    public boolean getIsAnyLiquid(@NotNull final AABBdc aabb) {
+        final int minX = MathHelper.floor(aabb.minX());
+        final int maxX = MathHelper.floor(aabb.maxX());
+        final int minY = MathHelper.floor(aabb.minY());
+        final int maxY = MathHelper.floor(aabb.maxY());
+        final int minZ = MathHelper.floor(aabb.minZ());
+        final int maxZ = MathHelper.floor(aabb.maxZ());
 
-        TilePos tilePos = new TilePos(0, 0, 0);
+        final TilePos tilePos = new TilePos(0, 0, 0);
         for (tilePos.x = minX; tilePos.x <= maxX; tilePos.x++) {
             for (tilePos.y = minY; tilePos.y <= maxY; tilePos.y++) {
                 for (tilePos.z = minZ; tilePos.z <= maxZ; tilePos.z++) {
-                    if (isBlockLoaded(tilePos)) {
-                        Block<?> block = getBlockType(tilePos);
+                    if (this.isBlockLoaded(tilePos)) {
+                        final Block<?> block = this.getBlockType(tilePos);
                         if (block != null && block.getMaterial().isLiquid()) {
                             return true;
                         }
@@ -1629,28 +1591,28 @@ public class World implements MutableWorldSource {
         return false;
     }
 
-    public boolean isBoundingBoxBurning(@NotNull AABBdc aabb) {
-        return isMaterialInBB(aabb, Materials.FIRE, Materials.LAVA);
+    public boolean isBoundingBoxBurning(@NotNull final AABBdc aabb) {
+        return this.isMaterialInBB(aabb, Materials.FIRE, Materials.LAVA);
     }
 
-    public boolean handleMaterialAcceleration(@NotNull AABBdc aabb, @NotNull Material material, @NotNull Entity entity, boolean addVelocity) {
-        int minX = MathHelper.floor(aabb.minX());
-        int maxX = MathHelper.floor(aabb.maxX() + 1.0D);
-        int minY = MathHelper.floor(aabb.minY());
-        int maxY = MathHelper.floor(aabb.maxY() + 1.0D);
-        int minZ = MathHelper.floor(aabb.minZ());
-        int maxZ = MathHelper.floor(aabb.maxZ() + 1.0D);
-        if (!areBlocksLoaded(minX, minY, minZ, maxX, maxY, maxZ)) {
+    public boolean handleMaterialAcceleration(@NotNull final AABBdc aabb, @NotNull final Material material, @NotNull final Entity entity, final boolean addVelocity) {
+        final int minX = MathHelper.floor(aabb.minX());
+        final int maxX = MathHelper.floor(aabb.maxX() + 1.0D);
+        final int minY = MathHelper.floor(aabb.minY());
+        final int maxY = MathHelper.floor(aabb.maxY() + 1.0D);
+        final int minZ = MathHelper.floor(aabb.minZ());
+        final int maxZ = MathHelper.floor(aabb.maxZ() + 1.0D);
+        if (!this.areBlocksLoaded(minX, minY, minZ, maxX, maxY, maxZ)) {
             return false;
         }
         boolean flag = false;
-        TilePos tilePos = new TilePos(0, 0, 0);
-        Vector3d velDir = new Vector3d();
+        final TilePos tilePos = new TilePos(0, 0, 0);
+        final Vector3d velDir = new Vector3d();
         for (tilePos.x = minX; tilePos.x < maxX; tilePos.x++) {
             for (tilePos.y = minY; tilePos.y < maxY; tilePos.y++) {
                 for (tilePos.z = minZ; tilePos.z < maxZ; tilePos.z++) {
-                    final @NotNull Block<?> block = getBlockType(tilePos);
-                    if (!isMaterialInBB(aabb, material)) {
+                    final @NotNull Block<?> block = this.getBlockType(tilePos);
+                    if (!this.isMaterialInBB(aabb, material)) {
                         continue;
                     }
                     flag = true;
@@ -1663,7 +1625,7 @@ public class World implements MutableWorldSource {
 
         if (velDir.length() > 0.0D && addVelocity) {
             velDir.normalize();
-            double d = 0.014D;
+            final double d = 0.014D;
             entity.xd += velDir.x * d;
             entity.yd += velDir.y * d;
             entity.zd += velDir.z * d;
@@ -1671,21 +1633,21 @@ public class World implements MutableWorldSource {
         return flag;
     }
 
-    public boolean isMaterialInBB(@NotNull AABBdc aabb, @NotNull Material @NotNull ... materials) {
-        int minX_i = MathHelper.floor(aabb.minX());
-        int maxX_i = MathHelper.floor(aabb.maxX() + 1.0D);
-        int minY_i = MathHelper.floor(aabb.minY());
-        int maxY_i = MathHelper.floor(aabb.maxY() + 1.0D);
-        int minZ_i = MathHelper.floor(aabb.minZ());
-        int maxZ_i = MathHelper.floor(aabb.maxZ() + 1.0D);
-        TilePos tilePos = new TilePos(0, 0, 0);
+    public boolean isMaterialInBB(@NotNull final AABBdc aabb, @NotNull final Material @NotNull ... materials) {
+        final int minX_i = MathHelper.floor(aabb.minX());
+        final int maxX_i = MathHelper.floor(aabb.maxX() + 1.0D);
+        final int minY_i = MathHelper.floor(aabb.minY());
+        final int maxY_i = MathHelper.floor(aabb.maxY() + 1.0D);
+        final int minZ_i = MathHelper.floor(aabb.minZ());
+        final int maxZ_i = MathHelper.floor(aabb.maxZ() + 1.0D);
+        final TilePos tilePos = new TilePos(0, 0, 0);
         for (tilePos.x = minX_i; tilePos.x < maxX_i; tilePos.x++) {
             for (tilePos.y = minY_i; tilePos.y < maxY_i; tilePos.y++) {
                 for (tilePos.z = minZ_i; tilePos.z < maxZ_i; tilePos.z++) {
-                    Block<?> block = getBlockType(tilePos);
+                    final Block<?> block = this.getBlockType(tilePos);
                     if (block != null) {
                         boolean isMaterial = false;
-                        for (Material m : materials) {
+                        for (final Material m : materials) {
                             if (block.getMaterial() == m) {
                                 isMaterial = true;
                                 break;
@@ -1705,18 +1667,18 @@ public class World implements MutableWorldSource {
         return false;
     }
 
-    public boolean isMaterialInBB(@NotNull AABBdc aabb, @NotNull Material material) {
-        int minX_i = MathHelper.floor(aabb.minX());
-        int maxX_i = MathHelper.floor(aabb.maxX() + 1.0D);
-        int minY_i = MathHelper.floor(aabb.minY());
-        int maxY_i = MathHelper.floor(aabb.maxY() + 1.0D);
-        int minZ_i = MathHelper.floor(aabb.minZ());
-        int maxZ_i = MathHelper.floor(aabb.maxZ() + 1.0D);
-        TilePos tilePos = new TilePos(0, 0, 0);
+    public boolean isMaterialInBB(@NotNull final AABBdc aabb, @NotNull final Material material) {
+        final int minX_i = MathHelper.floor(aabb.minX());
+        final int maxX_i = MathHelper.floor(aabb.maxX() + 1.0D);
+        final int minY_i = MathHelper.floor(aabb.minY());
+        final int maxY_i = MathHelper.floor(aabb.maxY() + 1.0D);
+        final int minZ_i = MathHelper.floor(aabb.minZ());
+        final int maxZ_i = MathHelper.floor(aabb.maxZ() + 1.0D);
+        final TilePos tilePos = new TilePos(0, 0, 0);
         for (tilePos.x = minX_i; tilePos.x < maxX_i; tilePos.x++) {
             for (tilePos.y = minY_i; tilePos.y < maxY_i; tilePos.y++) {
                 for (tilePos.z = minZ_i; tilePos.z < maxZ_i; tilePos.z++) {
-                    Block<?> block = getBlockType(tilePos);
+                    final Block<?> block = this.getBlockType(tilePos);
                     if (block != null) {
                         if (block.getMaterial() != material) continue;
 
